package com.simuwang.base.pojo.dos;

import com.simuwang.base.pojo.vo.DeletionInfoVO;
import lombok.Data;

import java.util.Date;

/**
 * FileName: DeletionInfoDO
 * Author:   chenjianhua
 * Date:     2024/9/17 18:45
 * Description: ${DESCRIPTION}
 */
@Data
public class DeletionTaskLogInfoDO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 渠道Id
     */
    private Integer channelId;
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 缺失类型
     */
    private Integer deletionType;
    /**
     * 数据报送频率
     */
    private Integer frequency;
    /**
     * 最新净值日期
     */
    private String priceDate;

    /**
     * 是否有效：0-无效，1-有效
     */
    private Integer isvalid;
    /**
     * 创建者Id
     */
    private Integer creatorId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改者Id
     */
    private Integer updaterId;
    /**
     * 更新时间
     */
    private Date updateTime;

}
