package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.CompanyContactQuery;
import com.simuwang.base.pojo.dto.query.CompanyIdQuery;
import com.simuwang.base.pojo.vo.CompanyContactInfoPageVO;
import com.simuwang.base.pojo.vo.CompanyContactInfoVO;
import com.simuwang.base.pojo.vo.CompanyContactPageVO;
import com.simuwang.base.pojo.vo.IdVO;
import com.smppw.common.pojo.ResultVo;
import org.springframework.web.multipart.MultipartFile;

public interface CompanyContactService {
    ResultVo saveCompanyContactInfo(CompanyContactInfoVO companyContactInfoVO);

    MybatisPage<CompanyContactInfoPageVO> selectCompanyContactInfoList(CompanyContactQuery companyContactQuery);

    MybatisPage<CompanyContactPageVO> selectCompanyContactList(CompanyIdQuery companyIdQuery);

    ResultVo selectCompanyContactDetail(IdVO idVO);

    void deleteById(Integer id);

    ResultVo uploadCompanyContact(MultipartFile file);
}
