package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
@Data
@TableName("product_derivative")
public class ProductDerivativeDO {
    @TableId(type = IdType.AUTO,value = "id")
    private Integer id;

    @TableField("product_id")
    private Integer productId;

    @TableField("register_number")
    private String registerNumber;

    @TableField("product_name")
    private String productName;

    @TableField("distribute_report")
    private String distributeReport;

    @TableField("cumulative_nav")
    private String cumulativeNav;

    @TableField("product_share")
    private String productShare;

    @TableField("product_asset")
    private String productAsset;

    @TableField("product_valuation")
    private String productValuation;

    @TableField("start_date")
    private String startDate;

    @TableField("investment_manager_desc")
    private String investmentManagerDesc;

    @TableField("product_count")
    private String productCount;

    @TableField("manage_asset")
    private String manageAsset;

    @TableField("fee_note")
    private String feeNote;

    @TableField("managementfee_trust")
    private String managementfeeTrust;

    @TableField("managementfee_bank")
    private String managementfeeBank;

    @TableField("outsource_fee")
    private String outsourceFee;

    @TableField("isvalid")
    private Integer isvalid;

    @TableField("createtime")
    private Date createtime;

    @TableField("updatetime")
    private Date updatetime;

    @TableField("creatorid")
    private Integer creatorid;

    @TableField("updaterid")
    private Integer updaterid;

}